# ReflectionType::isBuiltin

(PHP 7)

ReflectionType::isBuiltin — Checks if it is a built-in type

### Description

public ReflectionType::isBuiltin ( void ) : bool

Checks if the type is a built-in type in PHP.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if it's a built-in type, otherwise `FALSE`

### Examples

Example #1 ReflectionType::isBuiltin() example

`<?php
class SomeClass {}
function someFunction(string $param, SomeClass $param2, StdClass $param3) {}
$reflectionFunc = new ReflectionFunction('someFunction');
$reflectionParams = $reflectionFunc->getParameters();
var_dump($reflectionParams[0]->getType()->isBuiltin());
var_dump($reflectionParams[1]->getType()->isBuiltin());
var_dump($reflectionParams[2]->getType()->isBuiltin());`

The above example will output something similar to:

    bool(true)
    bool(false)
    bool(false)

Note that the ReflectionType::isBuiltin() method does not distinguish between internal and custom classes. To make this distinction, the ReflectionClass::isInternal() method should be used on the returned class name.

### See Also

- ReflectionType::allowsNull() - Checks if null is allowed
- ReflectionType::__toString() - To string
- ReflectionClass::isInternal() - Checks if class is defined internally by an extension, or the core
- ReflectionParameter::getType() - Gets a parameter's type